apiVersion: v1
kind: Namespace
metadata:
  name: demo-server-simple
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: demo-server
  name: demo-server-simple
  namespace: demo-server-simple
spec:
  ports:
  - name: http
    port: 8080
    targetPort: 80
  selector:
    app: demo-server
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: demo-server-simple
  namespace: demo-server-simple
spec:
  replicas: 1
  selector:
    matchLabels:
      app: demo-server
  template:
    metadata:
      labels:
        app: demo-server
    spec:
      containers:
      - image: nginx:1.24.0
        name: nginx
        ports:
        - containerPort: 80
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    alias-managed: "true"
    cert-manager.io/cluster-issuer: letsencrypt-production
    kubernetes.io/ingress.class: nginx
  name: demo-server-simple
  namespace: demo-server-simple
spec:
  rules:
  - host: demo-server-simple.let.ethz.ch
    http:
      paths:
      - backend:
          service:
            name: demo-server-simple
            port:
              number: 80
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - demo-server-simple.let.ethz.ch
    secretName: demo-server-simple-ssl-cert
